Bug 127289 - unset LANG will make the LANG variable empty instead of "POSIX"
Summary: unset LANG will make the LANG variable empty instead of "POSIX"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: RHEL4-LI18NUX
TreeView+ depends on / blocked
 
Reported: 2004-07-06 03:17 UTC by Leon Ho
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 08:41:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failed tet test cases (4.24 KB, text/plain)
2004-07-07 04:44 UTC, Leon Ho
no flags Details

Description Leon Ho 2004-07-06 03:17:52 UTC
Description of problem:
In the previous version of glibc (2.3.2), it conforms to openi18n
level 1 automated test on env testing. even if LANG is unset, LC_* is
defined according to LANG (POSIX). 

$ unset LANG
$ locale
LANG=POSIX
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=


In current version 2.3.3, when LANG is unset, it is emptied.

$ unset LANG
$ locale
LANG=
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=


Version-Release number of selected component (if applicable):
glibc-2.3.3-27

How reproducible:
everytime

Steps to Reproduce:
1. unset LANG
2. locale
  
Actual results:
LANG=

Expected results:
LANG=POSIX

Additional info:

Comment 1 Leon Ho 2004-07-07 04:44:40 UTC
Created attachment 101674 [details]
failed tet test cases

From tp2-tp7() are failed. Please see 
http://intranet.corp.redhat.com/redhat/images/wiki/EngI18NOpenI18NNahantAlpha3.html

Comment 2 Ulrich Drepper 2004-09-30 08:41:28 UTC
Not the case in the current code:

$ env -u LANG locale
LANG=
LC_CTYPE="POSIX"
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=



Note You need to log in before you can comment on or make changes to this bug.